Package com.ads.services.webservice.rest

# Class LineageResource

java.lang.Object
com.ads.services.webservice.rest.LineageResource

@RestController @RequestMapping("/api/datalineage") public class LineageResource extends Object
Contains the methods to get the lineage information on system/environment/table/column.
All the REST methods have return type ResponseEntity.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `jakarta.servlet.http.HttpServletRequest`
  `request`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LineageResource()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.springframework.http.ResponseEntity<Lineage>`
  `getColumnLineage(APIConstants.LineageType lineageType, String systemName, String environmentName, String tableName, String columnName, String projectIds)`
  Returns the lineage object response for the specified system, environment, table and column name.
  `org.springframework.http.ResponseEntity<Lineage>`
  `getEnvironmentLineage(APIConstants.LineageType lineageType, String systemName, String environmentName, String projectIds)`
  Returns the lineage object response for the specified system and environment name.
  `org.springframework.http.ResponseEntity<Lineage>`
  `getSystemLineage(APIConstants.LineageType lineageType, String systemName, String projectIds)`
  Returns the system lineage object response for the specified system name.
  `org.springframework.http.ResponseEntity<Lineage>`
  `getTableLineage(APIConstants.LineageType lineageType, String systemName, String environmentName, String tableName, String projectIds)`
  Returns the lineage object response for the specified system, environment and table name.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### request

    @Autowired public jakarta.servlet.http.HttpServletRequest request

- ## Constructor Details

  - ### LineageResource

    public LineageResource()

- ## Method Details

  - ### getColumnLineage

    @GetMapping(path="/column", produces={"application/json","application/xml"}) public org.springframework.http.ResponseEntity<Lineage> getColumnLineage(@RequestParam("lineageType") APIConstants.LineageType lineageType, @RequestParam("systemName") String systemName, @RequestParam("environmentName") String environmentName, @RequestParam("tableName") String tableName, @RequestParam("columnName") String columnName, @RequestParam(name="projectIds",required=false) String projectIds) throws Exception
    Returns the lineage object response for the specified system, environment, table and column name. The returned lineage object contains the details about the source and target columns like systemName, environmentName, tableName, columnName.
    Specification of systemName, environmentName, tableName, columnName and projectIds are mandatory, and the valid types of lineageType are null null null `APIConstants.LineageType.FORWARD`, `APIConstants.LineageType.REVERSE`, `APIConstants.LineageType.DUAL`. And the projectIds value should be like "1,2,3.." to get the lineage on specific projects and "null" to get the lineage on all projects.
    Parameters:
      `lineageType` - APIConstants.LineageType - valid types FORWARD, REVERSE, DUAL.
      `systemName` - String
      `environmentName` - String
      `tableName` - String
      `columnName` - String
      `projectIds` - String
    Returns:
      Response - Column lineage object.
    Throws:
      `Exception`
    Since:
      12.0

  - ### getEnvironmentLineage

    @GetMapping(path="/environment", produces={"application/json","application/xml"}) public org.springframework.http.ResponseEntity<Lineage> getEnvironmentLineage(@RequestParam("lineageType") APIConstants.LineageType lineageType, @RequestParam("systemName") String systemName, @RequestParam("environmentName") String environmentName, @RequestParam(name="projectIds",required=false) String projectIds) throws Exception
    Returns the lineage object response for the specified system and environment name. The returned lineage object contains the details about the source and target environments like systemName, environmentName.
    Specification of systemName, environmentName and projectIds are mandatory, and the valid types of lineageType are null `APIConstants.LineageType.FORWARD`, `APIConstants.LineageType.REVERSE`, `APIConstants.LineageType.DUAL`. And the projectIds value should be like "1,2,3.." to get the lineage on specific projects and "null" to get the lineage on all projects.
    Parameters:
      `lineageType` - APIConstants.LineageType - valid types FORWARD, REVERSE, DUAL.
      `systemName` - String
      `environmentName` - String
      `projectIds` - String
    Returns:
      Response - Environment lineage object
    Throws:
      `Exception`
    Since:
      12.0

  - ### getTableLineage

    @GetMapping(path="/table", produces={"application/json","application/xml"}) public org.springframework.http.ResponseEntity<Lineage> getTableLineage(@RequestParam("lineageType") APIConstants.LineageType lineageType, @RequestParam("systemName") String systemName, @RequestParam("environmentName") String environmentName, @RequestParam("tableName") String tableName, @RequestParam(name="projectIds",required=false) String projectIds) throws Exception
    Returns the lineage object response for the specified system, environment and table name. The returned lineage object contains the details about the source and target tables like systemName, environmentName, tableName etc..
    Specification of systemName, environmentName, tableName and projectIds are mandatory, and the valid types of lineageType are null null null `APIConstants.LineageType.FORWARD`, `APIConstants.LineageType.REVERSE`, `APIConstants.LineageType.DUAL`. And the projectIds value should be like "1,2,3.." to get the lineage on specific projects and "null" to get the lineage on all projects.
    Parameters:
      `lineageType` - APIConstants.LineageType - valid types FORWARD, REVERSE, DUAL.
      `systemName` - String
      `environmentName` - String
      `tableName` - String
      `projectIds` - String
    Returns:
      Response - Table lineage object.
    Throws:
      `Exception`
    Since:
      12.0

  - ### getSystemLineage

    @GetMapping(path="/system", produces={"application/json","application/xml"}) public org.springframework.http.ResponseEntity<Lineage> getSystemLineage(@RequestParam("lineageType") APIConstants.LineageType lineageType, @RequestParam("systemName") String systemName, @RequestParam(name="projectIds",required=false) String projectIds) throws Exception
    Returns the system lineage object response for the specified system name. The returned Lineage object contains the details about the source and target systems like systemName.
    Specification of systemName and projectIds are mandatory, and the valid types of lineageType are null null null `APIConstants.LineageType.FORWARD`, `APIConstants.LineageType.REVERSE`, `APIConstants.LineageType.DUAL`. And the projectIds value should be like "1,2,3.." to get the lineage on specific projects and "null" to get the lineage on all projects.
    Parameters:
      `lineageType` - APIConstants.LineageType - valid types FORWARD, REVERSE, DUAL.
      `systemName` - String
      `projectIds` - String
    Returns:
      Response - System lineage object.
    Throws:
      `Exception`
    Since:
      12.0